[android-components](../../../index.md) / [mozilla.components.support.migration.state](../../index.md) / [MigrationAction](../index.md) / [MigrationRunResult](./index.md)

# MigrationRunResult

`data class MigrationRunResult : `[`MigrationAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/migration/src/main/java/mozilla/components/support/migration/state/MigrationAction.kt#L33)

Set the result of a migration run.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `MigrationRunResult(migration: `[`Migration`](../../../mozilla.components.support.migration/-migration/index.md)`, run: `[`MigrationRun`](../../../mozilla.components.support.migration/-migration-run/index.md)`)`<br>Set the result of a migration run. |

### Properties

| Name | Summary |
|---|---|
| [migration](migration.md) | `val migration: `[`Migration`](../../../mozilla.components.support.migration/-migration/index.md) |
| [run](run.md) | `val run: `[`MigrationRun`](../../../mozilla.components.support.migration/-migration-run/index.md) |
